<template>
  <div class="row">
    <div class="title-wrapper">
      <h1>Todo Organizer</h1>
      <new-todo-button></new-todo-button>
    </div>
    <div class="todo-main-list-wrapper">
      <todo-list></todo-list>
    </div>
    <modal-wrapper></modal-wrapper>
  </div>
</template>

<script>

  import NewTodoButton from "../components/buttons/newTodoButton";
  import TodoList from "../components/todoComponents/todoList";
  import ModalWrapper from "../components/helpers/modalWrapper";
  export default {
    name: 'HomePage',
    components: {ModalWrapper, TodoList, NewTodoButton},
  }
</script>

<style lang="scss" scoped>
  .title-wrapper {
    position: relative;
    margin: 100px 0 0 0;
    h1 {
      padding: 20px 0;
      margin: 0;
    }
  }
</style>